<?php
/**
 * @package DJ-Chat
 * @copyright Copyright (C) DJ-Extensions.com, All rights reserved.
 * @license http://www.gnu.org/licenses GNU/GPL
 * @author url: http://dj-extensions.com
 * @author email contact@dj-extensions.com
 *
 */
 
defined ('_JEXEC') or die('Restricted access');

class DJChatController extends JControllerLegacy
{
	protected $default_view = 'cpanel';

	/**
	 * Method to display a view.
	 *
	 * @param   boolean  $cachable   If true, the view output will be cached
	 * @param   array    $urlparams  An array of safe url parameters and their variable types, for valid values see {@link JFilterInput::clean()}.
	 *
	 * @return  JController  This object to support chaining.
	 *
	 * @since   1.5
	 */
	public function display($cachable = false, $urlparams = false)
	{
		require_once JPATH_COMPONENT . '/helpers/djchat.php';
		JLoader::register('DJChatHelper', JPATH_ADMINISTRATOR . '/components/com_djchat/helpers/djchat.php');
		
		DJChatHelper::addSubmenu(JFactory::getApplication()->input->getCmd('view', 'cpanel'));
		
		$document = JFactory::getDocument();
		$document->addStyleSheet(JURI::base().'components/com_djchat/assets/css/adminstyle.css');

		parent::display($cachable, $urlparams);
		return $this;
	}
}